<!-- Copyright 2015 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/polymer/v1_0/paper-spinner/paper-spinner-lite.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-styles/color.html">

<link rel="import" href="/components/oobe_i18n_behavior.html">

<dom-module id="throbber-notice">
  <template>
    <style>
      :host {
        align-items: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
        min-height: 0;
      }

      paper-spinner-lite {
        height: 38px;
        margin-bottom: 28px;
        width: 38px;
      }

      #comment {
        @apply --oobe-default-font;
        color: #747474;
      }
    </style>
    <paper-spinner-lite dir="ltr" active></paper-spinner-lite>
    <div id="comment" aria-live="polite"
        aria-label$="[[i18nDynamic(locale, textKey)]]">
      [[i18nDynamic(locale, textKey)]]
    </div>
  </template>
  <script src="throbber_notice.js"></script>
</dom-module>
